// Vytvorte zrkaldovy obraz obrazka do osobitneho Image
// a vysledok dovolte ulozit.

unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, ExtCtrls, ExtDlgs, jpeg;

type
  TForm1 = class(TForm)
    Image1: TImage;
    Button1: TButton;
    Button2: TButton;
    Button3: TButton;
    Image2: TImage;
    OpenPictureDialog1: TOpenPictureDialog;
    SavePictureDialog1: TSavePictureDialog;
    Button4: TButton;
    procedure Button1Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
begin
 if OpenPictureDialog1.Execute then
  Image1.Picture.LoadFromFile(OpenPictureDialog1.FileName);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
 if SavePictureDialog1.Execute then
  Image2.Picture.SaveToFile(SavePictureDialog1.FileName);
end;

procedure TForm1.Button2Click(Sender: TObject);
var i,j:integer;

begin
 Image1.AutoSize:=true;
 Image2.Width:=Image1.Width;
 Image2.Height:=Image1.Height;
 for i:=0 to Image1.Width do
  for j:=0 to Image1.Height do
   Image2.Canvas.Pixels[i,j]:=Image1.Canvas.Pixels[Image1.Width-i,j];
end;

procedure TForm1.Button4Click(Sender: TObject);
begin // nepovinne sluzi na preklopenie jpg do bitmapy, aby ho bolo mozne otocit
 Image2.Canvas.Draw(0,0,Image1.Picture.Graphic);
 Image1.Picture.Assign(Image2.Picture);
end;

end.
